org.eclipse.net4j.buffer

## Interface IBufferProvider.Notification

- All Superinterfaces:
    IBufferProvider, INotifier
  Enclosing interface:
    IBufferProvider

      public static interface IBufferProvider.Notification
      extends IBufferProvider, INotifier

  Offers additional notification features for `buffer providers`.
  Since:
    4.6
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `IBufferProvider.Notification.BufferProvidedEvent` An `event` fired from a `buffer provider` to indicate that a buffer has been provided.
    `static interface` | `IBufferProvider.Notification.BufferRetainingEvent` An `event` fired from a `buffer provider` to indicate that a buffer is about to be retained.

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.buffer.IBufferProvider

      `IBufferProvider.Introspection, IBufferProvider.Notification`

  - ### Method Summary

    - ### Methods inherited from interface org.eclipse.net4j.buffer.IBufferProvider

      `getBufferCapacity, provideBuffer, retainBuffer`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html